<?php

namespace App\Service\SnipParser\Html;

use App\Service\SnipParser\AbstractParser;
use Tempest\Highlight\Highlighter;

class HtmlParser extends AbstractParser
{
    public function safeParseView(string $content): string
    {
        $highlighter = new Highlighter()->withGutter();

        return '<pre data-lang="html" class="notranslate">' . $highlighter->parse($content, 'html') . '</pre>';
    }
}